//=============================================================================
// File Name: bipartite_solver.h
// Written by: Yoram Singer & Shai Shalev-Shwartz (shais@cs.huji.ac.il)
//=============================================================================

#ifndef _SHAIS_BIPARTITE_SOLVER_
#define _SHAIS_BIPARTITE_SOLVER_

#include <infra.h>

void BipartiteSolver(infra::vector_view predictions,
		     infra::vector_view gamma,
		     std::vector<uint> &A,
		     std::vector<uint> &B,
		     double norm_x,double C,
		     infra::vector_view new_alpha);
  
#endif
